"use client"
import React, { useEffect, useState } from 'react'
import Menu from '../../components/menu/Menu';
import Slider from "react-slick";
import "slick-carousel/slick/slick.css";
import "slick-carousel/slick/slick-theme.css";

const MenuPage = () => {
    const [categories, setCategories] = useState([]);
    const [menuItems, setMenuItems] = useState([]);

    useEffect(() => {
        fetch('/api/categories').then(res => {
            res.json().then(categories => setCategories(categories))
        });
        fetch('/api/menu-items').then(res => {
            res.json().then(menuItems => setMenuItems(menuItems))
        });

    }, []);

    //slider
    var menuSlide = {
        dots: false,
        infinite: false,
        speed: 500,
        slidesToShow: 2,
        responsive: [
          {
            breakpoint: 640,
            settings: {
            slidesToShow: 2,
            slidesToScroll: 2,
            infinite: true,
            dots: false
            }
          },
          {
            breakpoint: 480,
            settings: {
            slidesToShow: 1,
            slidesToScroll: 1
            }
          }
        ]
    };


  return (
    <div className='w-full h-full pb-20 md:pb-40'>
        {categories?.length > 0 && categories.map(c => (
            <div className='px-5 lg:px-10 py-5 sm:py-10'>
                <p className='text-center text-3xl md:text-4xl text-pink-500 uppercase font-bold drop-shadow-[0_2px_2px_rgba(105,105,105,1)]'>{c.name}</p>
                <div className='block md:hidden py-5 sm:py-10 px-5 sm:px-10'>
                    <Slider arrows={false} {...menuSlide}>
                        {menuItems.filter(item => item.category === c._id).map(item => (
                            <div className='px-2'>
                                <Menu {...item}/>
                            </div>
                        ))}
                    </Slider>
                </div>
                <div className='hidden md:grid grid-cols-3 xl:grid-cols-4 2xl:grid-cols-5 gap-5 mt-10'>
                    {menuItems.filter(item => item.category === c._id).map(item => (
                        <Menu {...item}/>
                    ))}
                </div>
            </div>
        ))}
    </div>
  )
}

export default MenuPage